Subject: minires resolv.h problems
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Mon, 26 Jan 2004 15:15:43 +0100

Hallo Pierre,

resolv.h is missing this:

#ifdef __CYGWIN__
#include <netinet/in.h>
#endif

Unless I add these lines to resolv.h I'm getting errors during
configure checks:
checking resolv.h usability... no
checking resolv.h presence... yes
configure: WARNING: resolv.h: present but cannot be compiled
configure: WARNING: resolv.h:     check for missing prerequisite headers?
configure: WARNING: resolv.h: see the Autoconf documentation
configure: WARNING: resolv.h:     section "Present But Cannot Be Compiled"
configure: WARNING: resolv.h: proceeding with the preprocessor's result
configure: WARNING: resolv.h: in the future, the compiler will take precedence
configure: WARNING:     ## ------------------------------------------ ##
configure: WARNING:     ## Report this to the AC_PACKAGE_NAME lists.  ##
configure: WARNING:     ## ------------------------------------------ ##
checking for resolv.h... yes

Errors are:
In file included from resolv_test.c:1:
/usr/include/resolv.h:162: error: field `nsaddr_list' has incomplete type
/usr/include/resolv.h:172: error: field `addr' has incomplete type
/usr/include/resolv.h:195: error: field `sin' has incomplete type

Gerrit
-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/